#include "chdecl.h"
void CH_chcode_chcompile(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb21;
    case 5: goto c23;
    case 6: goto cb30;
    case 4: goto c31;
    case 7: goto c31;
    case 8: goto c33;
    case 9: goto cb38;
    case 10: goto c39;
    case 11: goto cb40;
    case 12: goto c41;
    case 13: goto c43;
    case 14: goto c47;
    case 15: goto cb50;
    case 16: goto c51;
    case 27: goto c61;
    case 17: goto c61;
    case 18: goto cb76;
    case 19: goto c77;
    case 20: goto cb83;
    case 21: goto c84;
    case 22: goto c87;
    case 23: goto cb87;
    case 24: goto c88;
    case 25: goto c92;
    case 26: goto cb94;
    case 28: goto c96;
    case 29: goto cb108;
    case 30: goto c109;
    case 31: goto c111;
    case 32: goto cb114;
    case 33: goto c115;
    case 34: goto cb125;
    case 35: goto c126;
    case 36: goto c127;
    case 37: goto c129;
    case 38: goto cb135;
    case 39: goto c136;
    case 40: goto cb143;
    case 41: goto c144;
    case 42: goto cb145;
    case 43: goto c146;
    case 44: goto c148;
    case 45: goto c152;
    case 46: goto c154;
    case 47: goto cb158;
    case 48: goto c159;
    case 49: goto c162;
    case 50: goto cb166;
    case 51: goto c167;
    case 52: goto c168;
    case 53: goto cb175;
    case 54: goto c176;
    case 55: goto cb177;
    case 56: goto c178;
    case 57: goto c180;
    case 58: goto c184;
    case 59: goto c186;
    case 60: goto c194;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* concat 4 3.0.9.9 3.1 */
  if ((ch_returncode = che_concat(DEF(4),DEF(3)DOT(0)DOT(9)DOT(9),DEF(3)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 5 , ".c" */
  if( !chs_lit(DEF(5),".c") ) goto ch_depletion;
/* concat 6 4 5 */
  if ((ch_returncode = che_concat(DEF(6),DEF(4),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* move 7 6 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7) = REF(6);
  REF(6).tsdr = & dr_bottom;
/* concat 8 3.0.9.11 3.1 */
  if ((ch_returncode = che_concat(DEF(8),DEF(3)DOT(0)DOT(9)DOT(11),
    DEF(3)DOT(1),sched)) != Normal) goto ch_raise_exception;
/* chs_lit 9 , ".o" */
  if( !chs_lit(DEF(9),".o") ) goto ch_depletion;
/* concat 10 8 9 */
  if ((ch_returncode = che_concat(DEF(10),DEF(8),DEF(9),sched)) != Normal)
     goto ch_raise_exception;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* move 11 10 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* chs_lit 12 , "CH_" */
  if( !chs_lit(DEF(12),"CH_") ) goto ch_depletion;
/* concat 13 12 3.1 */
  if ((ch_returncode = che_concat(DEF(13),DEF(12),DEF(3)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* move 14 13 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* branch_false 3.0.9.0 , 33 */
  if ( !REF(3)DOT(0)DOT(9)DOT(0).value.boolean ) goto c33;
/* branch_false 3.0.9.12 , 23 */
  if ( !REF(3)DOT(0)DOT(9)DOT(12).value.boolean ) goto c23;
/* chs_lit 15 , "compile " */
  if( !chs_lit(DEF(15),"compile ") ) goto ch_depletion;
  current->ip = 3;
cb21:
/* call 3.0.4 15 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(15),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* chs_lit 16 , "compile[" */
  if( !chs_lit(DEF(16),"compile[") ) goto ch_depletion;
/* concat 17 16 3.1 */
  if ((ch_returncode = che_concat(DEF(17),DEF(16),DEF(3)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* chs_lit 18 , "]" */
  if( !chs_lit(DEF(18),"]") ) goto ch_depletion;
/* concat 19 17 18 */
  if ((ch_returncode = che_concat(DEF(19),DEF(17),DEF(18),sched)) != Normal)
     goto ch_raise_exception;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
  current->ip = 6;
cb30:
/* call 3.0.4 19 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(19),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
c31:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
c33:
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 20 , "rm  -f " */
  if( !chs_lit(DEF(20),"rm  -f ") ) goto ch_depletion;
/* concat 21 20 11 */
  if ((ch_returncode = che_concat(DEF(21),DEF(20),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* enum_lit 22 , 0 */
  REF(22).value.enumeration = 0;
  REF(22).tsdr = & dr_enumeration;
  current->ip = 9;
cb38:
/* call 3.0.8 21 22 23 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(8),
          arguments[1] = DEF(21),
          arguments[2] = DEF(22),
          arguments[3] = DEF(23),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c39:
/* move 24 23 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(23);
  REF(23).tsdr = & dr_bottom;
  current->ip = 11;
cb40:
/* call 24.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(24)DOT(11),
          arguments[0+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c41:
/* endblock */
  che_endblock(sched);
/* branch , 47 */
   goto c47;
c43:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
c47:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 15;
cb50:
/* call 3.0.9.15 14 7 11 25 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(9)DOT(15),
          arguments[1] = DEF(14),
          arguments[2] = DEF(7),
          arguments[3] = DEF(11),
          arguments[4] = DEF(25),
          arguments[4+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c51:
/* noop */
  
/* new_table 26 , 7 */
  if ((ch_returncode = che_new_table(DEF(26),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
/* ordenum_lit 27 , 10 */
  REF(27).value.ord_enum = 10;
  REF(27).tsdr = & dr_ord_enumeration;
/* insert 26 27 */
  if ((ch_returncode = insertfunc(DEF(26),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 28 , "Output from command(s):" */
  if( !chs_lit(DEF(28),"Output from command(s):") ) goto ch_depletion;
/* merge 26 28 */
  if ((ch_returncode = mergefunc(DEF(26),DEF(28),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 29 , 10 */
  REF(29).value.ord_enum = 10;
  REF(29).tsdr = & dr_ord_enumeration;
/* insert 26 29 */
  if ((ch_returncode = insertfunc(DEF(26),DEF(29),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 30 25 */
  if((ch_returncode = cp_table(& ch_val, REF(25).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val;
  REF(30).tsdr = & dr_table;
/* initget 31 30 , 0,0 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(31),DEF(30),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c95:
c61:
/* get_or_goto 31 30 , 111 */
  if ((ch_returncode = get_selected_object(DEF(31),DEF(30),sched)) != Normal)
     goto c111;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* boolean 32 , FALSE */
  REF(32).value.boolean = FALSE;
  REF(32).tsdr = & dr_boolean;
/* chs_lit 33 , "compile" */
  if( !chs_lit(DEF(33),"compile") ) goto ch_depletion;
/* find_or_goto 34 3.0.9.14 33 , 0,68 */
  if (findfunc(DEF(34),DEF(3)DOT(0)DOT(9)DOT(14),(
          arguments[0] = DEF(33),& arguments[0]),sched,0) == FAILURE) goto c68;
/* boolean 32 , TRUE */
  REF(32).value.boolean = TRUE;
  REF(32).tsdr = & dr_boolean;
c68:
/* branch_false 32 , 77 */
  if ( !REF(32).value.boolean ) goto c77;
/* chs_lit 35 , "invoke[" */
  if( !chs_lit(DEF(35),"invoke[") ) goto ch_depletion;
/* concat 36 35 31 */
  if ((ch_returncode = che_concat(DEF(36),DEF(35),DEF(31),sched)) != Normal)
     goto ch_raise_exception;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* chs_lit 37 , "] " */
  if( !chs_lit(DEF(37),"] ") ) goto ch_depletion;
/* concat 38 36 37 */
  if ((ch_returncode = che_concat(DEF(38),DEF(36),DEF(37),sched)) != Normal)
     goto ch_raise_exception;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
  current->ip = 18;
cb76:
/* call 3.0.4 38 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(38),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c77:
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* copy 39 31 */
  if((ch_returncode = cp_table(& ch_val, REF(31).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val;
  REF(39).tsdr = & dr_table;
/* merge 26 39 */
  if ((ch_returncode = mergefunc(DEF(26),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 40 , 10 */
  REF(40).value.ord_enum = 10;
  REF(40).tsdr = & dr_ord_enumeration;
/* insert 26 40 */
  if ((ch_returncode = insertfunc(DEF(26),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* enum_lit 41 , 0 */
  REF(41).value.enumeration = 0;
  REF(41).tsdr = & dr_enumeration;
  current->ip = 20;
cb83:
/* call 3.0.8 31 41 42 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(8),
          arguments[1] = DEF(31),
          arguments[2] = DEF(41),
          arguments[3] = DEF(42),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c84:
/* move 24 42 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(42);
  REF(42).tsdr = & dr_bottom;
c85:
/* noop */
  
c87:
  current->ip = 23;
cb87:
/* call 24.1 43 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(24)DOT(1),
          arguments[1] = DEF(43),
          arguments[1+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c88:
/* merge 26 43 */
  if ((ch_returncode = mergefunc(DEF(26),DEF(43),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 44 , 10 */
  REF(44).value.ord_enum = 10;
  REF(44).tsdr = & dr_ord_enumeration;
/* insert 26 44 */
  if ((ch_returncode = insertfunc(DEF(26),DEF(44),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 85 */
   goto c85;
c92:
/* endblock */
  che_endblock(sched);
/* branch , 61 */
   goto c61;
c94:
  current->ip = 26;
cb94:
/* call 24.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(24)DOT(11),
          arguments[0+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c96:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* chs_lit 45 , "Problems running command: " */
  if( !chs_lit(DEF(45),"Problems running command: ") ) goto ch_depletion;
/* concat 46 45 31 */
  if ((ch_returncode = che_concat(DEF(46),DEF(45),DEF(31),sched)) != Normal)
     goto ch_raise_exception;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
  current->ip = 29;
cb108:
/* call 3.0.4 46 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c109:
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c111:
/* endget 31 30 */
  end_selector(DEF(31),DEF(30),sched,GET);
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* enum_lit 47 , 0 */
  REF(47).value.enumeration = 0;
  REF(47).tsdr = & dr_enumeration;
  current->ip = 32;
cb114:
/* call 3.0.7 11 47 48 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(7),
          arguments[1] = DEF(11),
          arguments[2] = DEF(47),
          arguments[3] = DEF(48),
          arguments[3+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c115:
/* move 49 48 */
  REF(49) = REF(48);
  REF(48).tsdr = & dr_bottom;
/* not 50 49 */
  REF(50).value.boolean = !REF(49).value.boolean;
  REF(50).tsdr = & dr_boolean;
/* branch_false 50 , 127 */
  if ( !REF(50).value.boolean ) goto c127;
/* chs_lit 51 , "Object file " */
  if( !chs_lit(DEF(51),"Object file ") ) goto ch_depletion;
/* concat 52 51 11 */
  if ((ch_returncode = che_concat(DEF(52),DEF(51),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* chs_lit 53 , " was not produced" */
  if( !chs_lit(DEF(53)," was not produced") ) goto ch_depletion;
/* concat 54 52 53 */
  if ((ch_returncode = che_concat(DEF(54),DEF(52),DEF(53),sched)) != Normal)
     goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
  current->ip = 34;
cb125:
/* call 3.0.4 54 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(54),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c126:
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c127:
/* endblock */
  che_endblock(sched);
/* branch , 136 */
   goto c136;
c129:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* boolean 49 , FALSE */
  REF(49).value.boolean = FALSE;
  REF(49).tsdr = & dr_boolean;
/* not 55 3.0.9.1 */
  REF(55).value.boolean = !REF(3)DOT(0)DOT(9)DOT(1).value.boolean;
  REF(55).tsdr = & dr_boolean;
/* branch_false 55 , 136 */
  if ( !REF(55).value.boolean ) goto c136;
  current->ip = 38;
cb135:
/* call 3.0.4 26 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(26),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c136:
/* not 56 3.0.9.8 */
  REF(56).value.boolean = !REF(3)DOT(0)DOT(9)DOT(8).value.boolean;
  REF(56).tsdr = & dr_boolean;
/* branch_false 56 , 154 */
  if ( !REF(56).value.boolean ) goto c154;
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 57 , "rm  -f " */
  if( !chs_lit(DEF(57),"rm  -f ") ) goto ch_depletion;
/* concat 58 57 7 */
  if ((ch_returncode = che_concat(DEF(58),DEF(57),DEF(7),sched)) != Normal)
     goto ch_raise_exception;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* enum_lit 59 , 0 */
  REF(59).value.enumeration = 0;
  REF(59).tsdr = & dr_enumeration;
  current->ip = 40;
cb143:
/* call 3.0.8 58 59 60 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(8),
          arguments[1] = DEF(58),
          arguments[2] = DEF(59),
          arguments[3] = DEF(60),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c144:
/* move 24 60 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(60);
  REF(60).tsdr = & dr_bottom;
  current->ip = 42;
cb145:
/* call 24.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(24)DOT(11),
          arguments[0+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c146:
/* endblock */
  che_endblock(sched);
/* branch , 152 */
   goto c152;
c148:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
c152:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
c154:
/* chs_lit 61 , "" */
  if( !chs_lit(DEF(61),"") ) goto ch_depletion;
/* branch_false 3.0.9.7 , 168 */
  if ( !REF(3)DOT(0)DOT(9)DOT(7).value.boolean ) goto c168;
/* block , 13 */
  if((ch_returncode = che_block(QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 47;
cb158:
/* call 3.0.6 11 62 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(11),
          arguments[2] = DEF(62),
          arguments[2+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c159:
/* move 61 62 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61) = REF(62);
  REF(62).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 168 */
   goto c168;
c162:
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* not 63 3.0.9.1 */
  REF(63).value.boolean = !REF(3)DOT(0)DOT(9)DOT(1).value.boolean;
  REF(63).tsdr = & dr_boolean;
/* branch_false 63 , 167 */
  if ( !REF(63).value.boolean ) goto c167;
/* chs_lit 64 , "Unable to retrieve compiled object code" */
  if( !chs_lit(DEF(64),"Unable to retrieve compiled object code") )
     goto ch_depletion;
  current->ip = 50;
cb166:
/* call 3.0.4 64 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(64),
          arguments[1+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c167:
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
c168:
/* not 65 3.0.9.10 */
  REF(65).value.boolean = !REF(3)DOT(0)DOT(9)DOT(10).value.boolean;
  REF(65).tsdr = & dr_boolean;
/* branch_false 65 , 186 */
  if ( !REF(65).value.boolean ) goto c186;
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 66 , "rm -f " */
  if( !chs_lit(DEF(66),"rm -f ") ) goto ch_depletion;
/* concat 67 66 11 */
  if ((ch_returncode = che_concat(DEF(67),DEF(66),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* enum_lit 68 , 0 */
  REF(68).value.enumeration = 0;
  REF(68).tsdr = & dr_enumeration;
  current->ip = 53;
cb175:
/* call 3.0.8 67 68 69 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(8),
          arguments[1] = DEF(67),
          arguments[2] = DEF(68),
          arguments[3] = DEF(69),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c176:
/* move 24 69 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(69);
  REF(69).tsdr = & dr_bottom;
  current->ip = 55;
cb177:
/* call 24.11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(24)DOT(11),
          arguments[0+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c178:
/* endblock */
  che_endblock(sched);
/* branch , 184 */
   goto c184;
c180:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
c184:
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
c186:
/* branch_false 49 , 190 */
  if ( !REF(49).value.boolean ) goto c190;
/* move 3.2 61 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2) = REF(61);
  REF(61).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* branch , 191 */
   goto c191;
c190:
/* return_exception 3 , 16 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(16),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(16));
  REF(3).tsdr = & dr_bottom;
c191:
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c194:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
